/**
 * Ext GWT 3.0.0-rc2 - Ext for GWT
 * Copyright(c) 2007-2012, Sencha, Inc.
 * licensing@sencha.com
 *
 * http://sencha.com/license
 */
package com.sencha.gxt.widget.core.client.form;

import com.sencha.gxt.cell.core.client.form.PasswordInputCell;

public class PasswordField extends ValueBaseField<String> {

  public PasswordField() {
    this(new PasswordInputCell());
  }

  /**
   * Creates a new password text field.
   */
  public PasswordField(PasswordInputCell cell) {
    super(cell);
    redraw();
  }

  /**
   * Creates a new password text field.
   * 
   * @param cell the input cell
   * @param propertyEditor the property editor
   */
  public PasswordField(PasswordInputCell cell, PropertyEditor<String> propertyEditor) {
    this(cell);
    setPropertyEditor(propertyEditor);
  }

}
